const TagRenderer = ({ tag, children, ...otherProps }) => {
  if (!tag || !children) return null;
  return (
    <>
      {tag === "h1" && (
        <h1 className="text-xl font-bold" {...otherProps}>
          {children}
        </h1>
      )}
      {tag === "h2" && (
        <h2 className="text-lg font-bold" {...otherProps}>
          {children}
        </h2>
      )}
      {tag === "h3" && (
        <h3 className="text-lg font-bold" {...otherProps}>
          {children}
        </h3>
      )}
      {tag === "h4" && (
        <h4 className="font-bold" {...otherProps}>
          {children}
        </h4>
      )}
      {tag === "span" && <span {...otherProps}>{children}</span>}
      {tag === "strong" && <strong {...otherProps}>{children}</strong>}
      {tag === "p" && <p {...otherProps}>{children}</p>}
    </>
  );
};

export default TagRenderer;
